// RSZVL S-parameter Measurement ExampleDlg.h : header file
//

#pragma once


// CRSZVLSparameterMeasurementExampleDlg dialog
class CRSZVLSparameterMeasurementExampleDlg : public CDialog
{
// Construction
public:
	ViSession	m_InstrSession;
	void cleanup (ViBoolean deviceClear);
	CRSZVLSparameterMeasurementExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_RSZVLSPARAMETERMEASUREMENTEXAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_IDQuery;
	BOOL m_Reset;
	BOOL m_Display;
	int m_Sout;
	int m_Sin;
	double m_SourcePower;
	double m_StartFreq;
	double m_StopFreq;
	int m_SweepPoints;
	CString m_Path;
	CString m_ResourceString;
	afx_msg void OnBnClickedGenerate();
	ViStatus rszvl_status;
	CString m_FileName;
	afx_msg void OnBnClickedBrowse();
};
